package cz.uhk.fim.denotevrenychdveri;

import android.content.Context;
import android.content.res.Configuration;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import cz.uhk.fim.denotevrenychdveri.fragments.VideoFragment;

import static cz.uhk.fim.denotevrenychdveri.R.id.content_fragment;

/**
 * Created by salay on 12.07.2016.
 */
public class VideoFragmentActivity extends MainActivity {

    public static final String KEY_VIDEO_ID = "KEY_VIDEO_ID";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        LayoutInflater inflater = (LayoutInflater) this.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        resetActivityLayouts();

        //inflate your activity layout here!
        View contentView = inflater.inflate(R.layout.fragment_video, (ViewGroup) findViewById(R.id.content_fragment), true);
        //setContentView(R.layout.fragment_video);

        final Bundle bundle = getIntent().getExtras();

        if (bundle != null && bundle.containsKey(KEY_VIDEO_ID)) {
            final String videoId = bundle.getString(KEY_VIDEO_ID);
            VideoFragment fragment = (VideoFragment) getSupportFragmentManager().findFragmentById(R.id.fragment_youtube);
            fragment.setVideoId(videoId);
        }

        if (getResources().getConfiguration().orientation == Configuration.ORIENTATION_LANDSCAPE) {
            TextView my_view = (TextView) findViewById(R.id.textTest);
            my_view.setVisibility(View.GONE);
        }


    }

    @Override
    protected void onPause() {
        super.onPause();
        Log.v("test> "," pause");
    }

    @Override
    protected void onStop() {
        super.onStop();
        Log.v("test> "," stop");
    }

    @Override
    public void onBackPressed() {
        TextView my_view = (TextView) findViewById(R.id.textTest);
        my_view.setVisibility(View.GONE);
        super.onBackPressed();
    }
}