package cz.uhk.fim.denotevrenychdveri.fragments;


import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ExpandableListView;
import android.widget.Toast;

import java.util.ArrayList;

import cz.uhk.fim.denotevrenychdveri.R;
import cz.uhk.fim.denotevrenychdveri.models.DegreeProgram;
import cz.uhk.fim.denotevrenychdveri.models.DegreeProgramGroup;
import cz.uhk.fim.denotevrenychdveri.views.adapters.DegreeProgramAdapter;

/**
 * A simple {@link Fragment} subclass.
 */
public class DegreeInformationFragment extends Fragment {
    private DegreeProgramAdapter degreeProgramAdapter;
    private ArrayList<DegreeProgramGroup> degreeProgramGroups;
    private ExpandableListView expandableListView;

    public DegreeInformationFragment() {
        // Required empty public constructor
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        View rootView = inflater.inflate(R.layout.list_degree, container, false);


        expandableListView = (ExpandableListView) rootView.findViewById(R.id.degree_list);
        expandableListView.setAdapter(new DegreeProgramAdapter(getActivity(),setDegreeProgramGroups()));
        expandableListView.setOnChildClickListener(new ExpandableListView.OnChildClickListener() {
            @Override
            public boolean onChildClick(ExpandableListView parent, View view, int groupPosition, int childPosition, long id) {
                DegreeProgram degreeProgram = (DegreeProgram) parent.getExpandableListAdapter().getChild(groupPosition,childPosition);
                //Toast.makeText(getActivity(), degreeProgram.getName() +groupPosition+" "+childPosition+" "+id, Toast.LENGTH_SHORT).show();

                getActivity().getSupportFragmentManager().beginTransaction()
                        .replace(R.id.content_fragment,DetailDegreeFragment.newInstance(degreeProgram))
                        .addToBackStack(null).commit();

                return true;
            }
        });
        return rootView;
    }

    public ArrayList<DegreeProgramGroup> setDegreeProgramGroups() {
        ArrayList<DegreeProgramGroup> groups = new ArrayList<>();
        ArrayList<DegreeProgram> bachelorPrograms = new ArrayList<>();

        bachelorPrograms.add(new DegreeProgram(0,"Aplikovaná informatika", "ai3-p","prezenční","bakalářský",3,"Středoškolské vzdělání zakončené maturitní zkouškou. Potvrzení od lékaře není vyžadováno. Potvrzení prospěchu ze střední školy, kopie výročních vysvědčení a maturitního vysvědčení ani životopis není vyžadováno při podání přihlášky.","Student získá během studia dobré základní znalosti matematiky, algoritmizace a objektového modelování, na které navazují předměty s přímou aplikací (zejména programování, návrhy a správa informačních systémů a počítačových sítí, webovské technologie). Současně získává základní znalosti ekonomie a managementu a povinně studuje odborný anglický jazyk. U tohoto bakalářského studijního programu je kladen důraz na praktické dovednosti v oblasti informačních technologií. Absolvent oboru uspokojí stoupající poptávku odborníků z jiných oblastí, kteří potřebují doplnit svoji odbornost o praktickou znalost informačních technologií. Uplatnění absolventa je především na pozicích programátora, návrháře a správce informačních systémů a sítí, webdesignera, apod. Profil znalostí vyhovuje výkonu funkce manažera nižší až střední úrovně, založení a vedení malé firmy a při dobrých jazykových předpokladech nachází absolventi uplatnění také ve firmách s nadnárodní působností.","Uchazeči o studium budou přijímáni ke studiu dle pořadí sestaveného na základě aritmetického průměru čtyř nejlepších známek na vysvědčení z matematiky (zahrnují se známky v pololetí i na konci roku), získaných během středoškolského vzdělávání do dne podání přihlášky, s výjimkou známek získaných na nižším stupni gymnázia a známek z maturitního vysvědčení. Čtyři nejlepší známky z matematiky uchazeč vyplní při podávání elektronické přihlášky. Přijatý uchazeč bude prokazovat uvedené známky při zápisu do studia."));
        bachelorPrograms.add(new DegreeProgram(1,"Aplikovaná informatika", "ai3-k","kombinovaná","bakalářský",3,"Středoškolské vzdělání zakončené maturitní zkouškou. Potvrzení od lékaře není vyžadováno. Potvrzení prospěchu ze střední školy, kopie výročních vysvědčení a maturitního vysvědčení ani životopis není vyžadováno při podání přihlášky.","Student získá během studia dobré základní znalosti matematiky, algoritmizace a objektového modelování, na které navazují předměty s přímou aplikací (zejména programování, návrhy a správa informačních systémů a počítačových sítí, webovské technologie). Současně získává základní znalosti ekonomie a managementu a povinně studuje odborný anglický jazyk. U tohoto bakalářského studijního programu je kladen důraz na praktické dovednosti v oblasti informačních technologií. Absolvent oboru uspokojí stoupající poptávku odborníků z jiných oblastí, kteří potřebují doplnit svoji odbornost o praktickou znalost informačních technologií. Uplatnění absolventa je především na pozicích programátora, návrháře a správce informačních systémů a sítí, webdesignera, apod. Profil znalostí vyhovuje výkonu funkce manažera nižší až střední úrovně, založení a vedení malé firmy a při dobrých jazykových předpokladech nachází absolventi uplatnění také ve firmách s nadnárodní působností.","Uchazeči o studium budou přijímáni ke studiu dle pořadí sestaveného na základě aritmetického průměru čtyř nejlepších známek na vysvědčení z matematiky (zahrnují se známky v pololetí i na konci roku), získaných během středoškolského vzdělávání do dne podání přihlášky, s výjimkou známek získaných na nižším stupni gymnázia a známek z maturitního vysvědčení. Čtyři nejlepší známky z matematiky uchazeč vyplní při podávání elektronické přihlášky. Přijatý uchazeč bude prokazovat uvedené známky při zápisu do studia."));
        bachelorPrograms.add(new DegreeProgram(2,"Informační management", "im3-p","prezenční","bakalářský",3,"Středoškolské vzdělání zakončené maturitní zkouškou. Potvrzení od lékaře není vyžadováno. Potvrzení prospěchu ze střední školy, kopie výročních vysvědčení a maturitního vysvědčení ani životopis není vyžadováno při podání přihlášky.","Bakalářské tříleté studium je široce a mezioborově založeno, s důrazem na studium ekonomické teorie, podnikové ekonomiky, managementu, marketingu a informatiky. Výběrem ze spektra volitelných předmětů se student může více profilovat do některé z výše uvedených oblastí, podle vlastních schopností, zájmu a očekávaného uplatnění. Absolvent bakalářského studia získá znalosti nezbytné pro založení a vedení malé firmy, nebo výkon funkce manažera nižší až střední úrovně. Má znalosti dostatečné pro správu informačního systému, práci se specializovaným softwarem, školící a poradenskou činnost apod. Součástí profilu absolventa je dobrá jazyková připravenost v anglickém jazyce.","Uchazeči o studium budou přijímáni ke studiu dle pořadí sestaveného na základě aritmetického průměru čtyř nejlepších známek na vysvědčení z matematiky (zahrnují se známky v pololetí i na konci roku), získaných během středoškolského vzdělávání do dne podání přihlášky, s výjimkou známek získaných na nižším stupni gymnázia a známek z maturitního vysvědčení. Čtyři nejlepší známky z matematiky uchazeč vyplní při podávání elektronické přihlášky. Přijatý uchazeč bude prokazovat uvedené známky při zápisu do studia."));
        bachelorPrograms.add(new DegreeProgram(3,"Informační management", "im3-k","kombinovaná","bakalářský",3,"Středoškolské vzdělání zakončené maturitní zkouškou. Potvrzení od lékaře není vyžadováno. Potvrzení prospěchu ze střední školy, kopie výročních vysvědčení a maturitního vysvědčení ani životopis není vyžadováno při podání přihlášky.","Bakalářské tříleté studium je široce a mezioborově založeno, s důrazem na studium ekonomické teorie, podnikové ekonomiky, managementu, marketingu a informatiky. Výběrem ze spektra volitelných předmětů se student může více profilovat do některé z výše uvedených oblastí, podle vlastních schopností, zájmu a očekávaného uplatnění. Absolvent bakalářského studia získá znalosti nezbytné pro založení a vedení malé firmy, nebo výkon funkce manažera nižší až střední úrovně. Má znalosti dostatečné pro správu informačního systému, práci se specializovaným softwarem, školící a poradenskou činnost apod. Součástí profilu absolventa je dobrá jazyková připravenost v anglickém jazyce.","Uchazeči o studium budou přijímáni ke studiu dle pořadí sestaveného na základě aritmetického průměru čtyř nejlepších známek na vysvědčení z matematiky (zahrnují se známky v pololetí i na konci roku), získaných během středoškolského vzdělávání do dne podání přihlášky, s výjimkou známek získaných na nižším stupni gymnázia a známek z maturitního vysvědčení. Čtyři nejlepší známky z matematiky uchazeč vyplní při podávání elektronické přihlášky. Přijatý uchazeč bude prokazovat uvedené známky při zápisu do studia."));
        bachelorPrograms.add(new DegreeProgram(4,"Finanční management - anglický jazyk", "fm-p-a","prezenční","bakalářský",3,"Středoškolské vzdělání zakončené maturitní zkouškou. Potvrzení od lékaře není vyžadováno. Potvrzení prospěchu ze střední školy, kopie výročních vysvědčení a maturitního vysvědčení ani životopis není vyžadováno při podání přihlášky.","Absolvent získá znalosti základů ekonomické teorie, znalosti a dovednosti z managementu, marketingu, podnikové ekonomiky, financí a účetnictví. Zároveň disponuje vysokým stupněm uživatelských informatických dovedností a dobrou jazykovou připraveností. Absolvent je připraven zastávat pozici finančního manažera malé nebo střední firmy, popř. obdobnou pozici v neziskovém sektoru.","Přijímací zkouška se skládá z písemného testu z matematiky (max. počet bodů 50) a písemného testu z anglického jazyka (max. počet bodů 50). Test z matematiky obsahuje 10 úloh hodnocených jedním bodem a 5 úloh hodnocených dvěma body. Celkový počet bodů je stanoven jako součin bodů dosažených za jednotlivé úlohy a koeficientu 2,5 (zaokrouhlený na celé body). Test z anglického jazyka obsahuje 50 úloh. Za každou správně vyřešenou úlohu získá uchazeč 1 bod."));
        bachelorPrograms.add(new DegreeProgram(5,"Finanční management - anglický jazyk", "fm-k-a","kombinovaná","bakalářský",3,"Středoškolské vzdělání zakončené maturitní zkouškou. Potvrzení od lékaře není vyžadováno. Potvrzení prospěchu ze střední školy, kopie výročních vysvědčení a maturitního vysvědčení ani životopis není vyžadováno při podání přihlášky.","Absolvent získá znalosti základů ekonomické teorie, znalosti a dovednosti z managementu, marketingu, podnikové ekonomiky, financí a účetnictví. Zároveň disponuje vysokým stupněm uživatelských informatických dovedností a dobrou jazykovou připraveností. Absolvent je připraven zastávat pozici finančního manažera malé nebo střední firmy, popř. obdobnou pozici v neziskovém sektoru.","Přijímací zkouška se skládá z písemného testu z matematiky (max. počet bodů 50) a písemného testu z anglického jazyka (max. počet bodů 50). Test z matematiky obsahuje 10 úloh hodnocených jedním bodem a 5 úloh hodnocených dvěma body. Celkový počet bodů je stanoven jako součin bodů dosažených za jednotlivé úlohy a koeficientu 2,5 (zaokrouhlený na celé body). Test z anglického jazyka obsahuje 50 úloh. Za každou správně vyřešenou úlohu získá uchazeč 1 bod."));
        bachelorPrograms.add(new DegreeProgram(6,"Finanční management - německý jazyk", "fm-p-n","prezenční","bakalářský",3,"Středoškolské vzdělání zakončené maturitní zkouškou. Potvrzení od lékaře není vyžadováno. Potvrzení prospěchu ze střední školy, kopie výročních vysvědčení a maturitního vysvědčení ani životopis není vyžadováno při podání přihlášky.","Absolvent získá znalosti základů ekonomické teorie, znalosti a dovednosti z managementu, marketingu, podnikové ekonomiky, financí a účetnictví. Zároveň disponuje vysokým stupněm uživatelských informatických dovedností a dobrou jazykovou připraveností. Absolvent je připraven zastávat pozici finančního manažera malé nebo střední firmy, popř. obdobnou pozici v neziskovém sektoru.","Přijímací zkouška se skládá z písemného testu z matematiky (max. počet bodů 50) a písemného testu z německého jazyka (max. počet bodů 50). Test z matematiky obsahuje 10 úloh hodnocených jedním bodem a 5 úloh hodnocených dvěma body. Celkový počet bodů je stanoven jako součin bodů dosažených za jednotlivé úlohy a koeficientu 2,5 (zaokrouhlený na celé body). Test z německého jazyka obsahuje 50 úloh. Za každou správně vyřešenou úlohu získá uchazeč 1 bod."));
        bachelorPrograms.add(new DegreeProgram(7,"Management cestovního ruchu - anglický jazyk", "mcr-p-a","prezenční","bakalářský",3,"Středoškolské vzdělání zakončené maturitní zkouškou. Potvrzení od lékaře není vyžadováno. Potvrzení prospěchu ze střední školy, kopie výročních vysvědčení a maturitního vysvědčení ani životopis není vyžadováno při podání přihlášky.","V průběhu studia je student připravován k řídící a odborné činnosti v oblasti cestovního ruchu. Absolvent má teoretické, metodické a odborné znalosti, schopnosti analytické a organizační. Je způsobilý vykázat práci s informacemi, cizojazyčnou komunikaci, prezentační dovednosti, aplikace managementu a marketingu, dovednosti práce s PC a přehled v oblasti aplikovaných strategií v řízení a rozvoji CR. Má předpoklady profesního uplatnění v souvislosti s organizací, řízením a realizací aktivit a činnosti institucí s působností v oborech CR. Z odborného profilu vyplývá široká možnost uplatnění v pozicích managementu CR v oblasti podnikání, v institucích státní správy, v centrálách a regionálních agenturách, ve správách národních parků, rekreačních oblastí, rekreačních středisek, apod. včetně trhu práce CR zemí EU. Absolvent je připraven nejméně v jednom světovém jazyce na úrovni odborné státní zkoušky. Součástí kvalifikace je i licence průvodce cestovního ruchu. Součástí studia je povinná výuka anglického jazyka.","Přijímací zkouška se skládá z písemného testu ze všeobecných znalostí - zeměpis a základy společenských věd (max. počet bodů 50) a z písemného testu z anglického jazyka (max. počet bodů 50). Test ze všeobecných znalostí - všeobecné znalosti z geografie, dějin kultury a základů společenských věd - obsahuje 25 otázek hodnocených vždy po dvou bodech. Test z anglického jazyka obsahuje 50 úloh. Za každou správně vyřešenou úlohu získá uchazeš 1 bod. Požaduje se velmi dobrá znalost gramatiky, velmi široká slovní zásoba. Vstupní jazykové znalosti by měly odpovídat minimálně úrovni znalostí Cambridge First Certificate."));
        bachelorPrograms.add(new DegreeProgram(8,"Management cestovního ruchu - anglický jazyk", "mcr-k-a","kombinovaná","bakalářský",3,"Středoškolské vzdělání zakončené maturitní zkouškou. Potvrzení od lékaře není vyžadováno. Potvrzení prospěchu ze střední školy, kopie výročních vysvědčení a maturitního vysvědčení ani životopis není vyžadováno při podání přihlášky.","V průběhu studia je student připravován k řídící a odborné činnosti v oblasti cestovního ruchu. Absolvent má teoretické, metodické a odborné znalosti, schopnosti analytické a organizační. Je způsobilý vykázat práci s informacemi, cizojazyčnou komunikaci, prezentační dovednosti, aplikace managementu a marketingu, dovednosti práce s PC a přehled v oblasti aplikovaných strategií v řízení a rozvoji CR. Má předpoklady profesního uplatnění v souvislosti s organizací, řízením a realizací aktivit a činnosti institucí s působností v oborech CR. Z odborného profilu vyplývá široká možnost uplatnění v pozicích managementu CR v oblasti podnikání, v institucích státní správy, v centrálách a regionálních agenturách, ve správách národních parků, rekreačních oblastí, rekreačních středisek, apod. včetně trhu práce CR zemí EU. Absolvent je připraven nejméně v jednom světovém jazyce na úrovni odborné státní zkoušky. Součástí kvalifikace je i licence průvodce cestovního ruchu. Součástí studia je povinná výuka anglického jazyka.","Přijímací zkouška se skládá z písemného testu ze všeobecných znalostí - zeměpis a základy společenských věd (max. počet bodů 50) a z písemného testu z anglického jazyka (max. počet bodů 50). Test ze všeobecných znalostí - všeobecné znalosti z geografie, dějin kultury a základů společenských věd - obsahuje 25 otázek hodnocených vždy po dvou bodech. Test z anglického jazyka obsahuje 50 úloh. Za každou správně vyřešenou úlohu získá uchazeš 1 bod. Požaduje se velmi dobrá znalost gramatiky, velmi široká slovní zásoba. Vstupní jazykové znalosti by měly odpovídat minimálně úrovni znalostí Cambridge First Certificate."));
        bachelorPrograms.add(new DegreeProgram(9,"Management cestovního ruchu - německý jazyk", "mcr-p-n","prezenční","bakalářský",3,"Středoškolské vzdělání zakončené maturitní zkouškou. Potvrzení od lékaře není vyžadováno. Potvrzení prospěchu ze střední školy, kopie výročních vysvědčení a maturitního vysvědčení ani životopis není vyžadováno při podání přihlášky.","V průběhu studia je student připravován k řídící a odborné činnosti v oblasti cestovního ruchu. Absolvent má teoretické, metodické a odborné znalosti, schopnosti analytické a organizační. Je způsobilý vykázat práci s informacemi, cizojazyčnou komunikaci, prezentační dovednosti, aplikace managementu a marketingu, dovednosti práce s PC a přehled v oblasti aplikovaných strategií v řízení a rozvoji CR. Má předpoklady profesního uplatnění v souvislosti s organizací, řízením a realizací aktivit a činnosti institucí s působností v oborech CR. Z odborného profilu vyplývá široká možnost uplatnění v pozicích managementu CR v oblasti podnikání, v institucích státní správy, v centrálách a regionálních agenturách, ve správách národních parků, rekreačních oblastí, rekreačních středisek, apod. včetně trhu práce CR zemí EU. Absolvent je připraven nejméně v jednom světovém jazyce na úrovni odborné státní zkoušky. Součástí kvalifikace je i licence průvodce cestovního ruchu. Součástí studia je povinná výuka německého jazyka.","Přijímací zkouška se skládá z písemného testu ze všeobecných znalostí - zeměpis a základy společenských věd (max. počet bodů 50) a z písemného testu z německého jazyka (max. počet bodů 50). Test ze všeobecných znalostí - všeobecné znalosti z geografie, dějin kultury a základů společenských věd - obsahuje 25 otázek hodnocených vždy po dvou bodech. Test z německého jazyka obsahuje 50 úloh. Za každou správně vyřešenou úlohu získá uchazeš 1 bod. Požaduje se velmi dobrá znalost gramatiky, velmi široká slovní zásoba. Vstupní jazykové znalosti by měly odpovídat minimálně úrovni znalostí Cambridge First Certificate."));

        DegreeProgramGroup bachelorDegree = new DegreeProgramGroup("Bakalářský", bachelorPrograms);

        ArrayList<DegreeProgram> masterPrograms = new ArrayList<>();

        masterPrograms.add(new DegreeProgram(0,"Aplikovaná informatika", "ai2-p","prezenční","magisterský navazující",2,"O studium v navazujícím magisterském studijním programu Aplikovaná informatika se uchází student, který má ukončené bakalářské (magisterské) studium a ve svém předchozím vysokoškolském studiu úspěšně absolvoval výuku matematiky v rozsahu minimálně 2 semestrů po 4 hodinách týdně nebo v obdobném rozsahu, tj. cca 120 hodin výuky rozložené do jiného počtu semestrů","Navazující dvouleté studium v oboru Aplikovaná informatika má tyto cíle: 1. Rozšíření a prohloubení znalostí získaných v bakalářském studiu. 2. Doplnění teoretických znalostí z informatiky a příbuzných oborů. 3. Podpoření dalšího rozvoje praktických dovedností nezbytných pro práci v oboru. 4. Podpora znalostí a schopností umožňujících profesní zvládnutí změn, spojených s vývojem technologií. 5. Vybavení znalostmi, které připraví absolventy na možné zapojení do výzkumu a vývoje informačních a komunikačních technologií. Student bude veden k práci v týmu, případně k řízení týmu. Studium se koncentruje na rozšíření teoretických znalostí a principů souvisejících se zpracováním informací, výpočetní složitostí, efektivitou implementace, návrhem a řízením datových struktur, moderními komunikačními prostředky a příbuznou problematikou, včetně porozumění technickým problémům. Absolvent bude vybaven teoretickými znalostmi v předmětech, které podporují logické a analytické myšlení. Získá přehled a porozumí principům, na kterých jsou budovány moderní informační technologie a systémy. Současně by měl ovládat jeden světový jazyk na velmi dobré úrovni (podporován bude anglický jazyk). Kromě povinné výuky specializovaných odborných předmětů se bude formou volitelné výuky vzdělávat v předmětech ekonomických, společensko – vědních a bude se účastnit seminářů z anglického jazyka a pohybových aktivit.","Písemný test z informatiky a matematiky. Uchazeči, kteří absolvovali bakalářský studijní program Aplikovaná informatika, obor Aplikovaná informatika na FIM UHK a úspěšně složili státní závěrečnou zkoušku nejpozději v šestém semestru do termínu konání přijímacích zkoušek, mohou být přijati bez přijímací zkoušky. Z uchazečů absolventů FIM, kteří splňují výše uvedené požadavky, bude sestaveno pořadí nejlepších podle dosaženého studijního průměru za celé studium (bez započtení známek ze státní závěrečné zkoušky, vypočteného v souladu s čl. 16 Studijního a zkušebního řádu UHK). Na základě tohoto pořadí bude přijata ke studiu polovina předpokládaného počtu studentů pro daný akademický rok. Druhá polovina předpokládaného počtu míst bude obsazena na základě pořadí nejlepších sestaveného dle bodového ohodnocení výsledků písemné přijímací zkoušky z informatiky a matematiky. Pokud se student umístí v obou uvedených pořadích, bude přijat z pořadí, v němž dosáhl lepšího umístění. Pokud nebude předchozím postupem kapacita oboru naplněna, budou volná místa doplněna z pořadí s volnou kapacitou uchazečů."));
        masterPrograms.add(new DegreeProgram(1,"Aplikovaná informatika", "ai2-k","kombinovaná","magisterský navazující",2,"O studium v navazujícím magisterském studijním programu Aplikovaná informatika se uchází student, který má ukončené bakalářské (magisterské) studium a ve svém předchozím vysokoškolském studiu úspěšně absolvoval výuku matematiky v rozsahu minimálně 2 semestrů po 4 hodinách týdně nebo v obdobném rozsahu, tj. cca 120 hodin výuky rozložené do jiného počtu semestrů","Navazující dvouleté studium v oboru Aplikovaná informatika má tyto cíle: 1. Rozšíření a prohloubení znalostí získaných v bakalářském studiu. 2. Doplnění teoretických znalostí z informatiky a příbuzných oborů. 3. Podpoření dalšího rozvoje praktických dovedností nezbytných pro práci v oboru. 4. Podpora znalostí a schopností umožňujících profesní zvládnutí změn, spojených s vývojem technologií. 5. Vybavení znalostmi, které připraví absolventy na možné zapojení do výzkumu a vývoje informačních a komunikačních technologií. Student bude veden k práci v týmu, případně k řízení týmu. Studium se koncentruje na rozšíření teoretických znalostí a principů souvisejících se zpracováním informací, výpočetní složitostí, efektivitou implementace, návrhem a řízením datových struktur, moderními komunikačními prostředky a příbuznou problematikou, včetně porozumění technickým problémům. Absolvent bude vybaven teoretickými znalostmi v předmětech, které podporují logické a analytické myšlení. Získá přehled a porozumí principům, na kterých jsou budovány moderní informační technologie a systémy. Současně by měl ovládat jeden světový jazyk na velmi dobré úrovni (podporován bude anglický jazyk). Kromě povinné výuky specializovaných odborných předmětů se bude formou volitelné výuky vzdělávat v předmětech ekonomických, společensko – vědních a bude se účastnit seminářů z anglického jazyka a pohybových aktivit.","Písemný test z informatiky a matematiky. Uchazeči, kteří absolvovali bakalářský studijní program Aplikovaná informatika, obor Aplikovaná informatika na FIM UHK a úspěšně složili státní závěrečnou zkoušku nejpozději v šestém semestru do termínu konání přijímacích zkoušek, mohou být přijati bez přijímací zkoušky. Z uchazečů absolventů FIM, kteří splňují výše uvedené požadavky, bude sestaveno pořadí nejlepších podle dosaženého studijního průměru za celé studium (bez započtení známek ze státní závěrečné zkoušky, vypočteného v souladu s čl. 16 Studijního a zkušebního řádu UHK). Na základě tohoto pořadí bude přijata ke studiu polovina předpokládaného počtu studentů pro daný akademický rok. Druhá polovina předpokládaného počtu míst bude obsazena na základě pořadí nejlepších sestaveného dle bodového ohodnocení výsledků písemné přijímací zkoušky z informatiky a matematiky. Pokud se student umístí v obou uvedených pořadích, bude přijat z pořadí, v němž dosáhl lepšího umístění. Pokud nebude předchozím postupem kapacita oboru naplněna, budou volná místa doplněna z pořadí s volnou kapacitou uchazečů."));
        masterPrograms.add(new DegreeProgram(2,"Informační management", "im2-p","prezenční","magisterský navazující",2,"O studium v navazujícím magisterském studijním programu se uchází student, který má ukončené bakalářské (magisterské) studium.","Absolvent během navazujícího dvouletého studia rozšiřuje teoretické znalosti z ekonomie, managementu, kvantitativních metod a vybraných oblastí informatiky (technologie moderních informačních systémů, počítačem podporované projektování, rozhodovací a expertní systémy) Absolvent by měl být schopen řešit složitější rozhodovací úlohy, zpracovat návrh a analýzu (resp. správu) informačních systémů, případně vést pracovní kolektiv, který tyto úkoly řeší. Je připravován pro pozice ve středním a vyšším managementu. Absolvent tohoto oboru se uplatní v řídící funkci na různých úrovních, při analýze, provozu, inovacích a projektování systémů řízení, při poskytování kvalifikovaných konzultací z oblasti nasazování a využívání informačních technologií.","Písemný test z ekonomie, managementu, matematiky a informatiky. Uchazeči, kteří absolvovali bakalářský studijní program Systémové inženýrství a informatika, obor Informační management na FIM UHK a úspěšně složili státní závěrečnou zkoušku nejpozději v šestém semestru do termínu konání přijímacích zkoušek, mohou být přijati bez přijímací zkoušky. Z uchazečů absolventů FIM, kteří splňují výše uvedené požadavky, bude sestaveno pořadí nejlepších podle dosaženého studijního průměru za celé studium (bez započtení známek ze státní závěrečné zkoušky, vypočteného v souladu s čl. 16 Studijního a zkušebního řádu UHK). Na základě tohoto pořadí bude přijata ke studiu polovina předpokládaného počtu studentů pro daný akademický rok. Druhá polovina počtu míst bude obsazena na základě pořadí nejlepších sestaveného dle bodového ohodnocení písemné přijímací zkoušky, která se skládá z písemného testu z ekonomie (max. počet bodů 30), z písemného testu z managementu (max. počet bodů 30) a písemného testu z matematiky a informatiky (max. počet bodů 60). Pokud se student umístí v obou uvedených pořadích, bude přijat z pořadí, v němž dosáhl lepšího umístění. Pokud nebude předchozím postupem kapacita oboru naplněna, budou volná místa doplněna z pořadí s volnou kapacitou uchazečů."));
        masterPrograms.add(new DegreeProgram(3,"Informační management", "im2-k","kombinovaná","magisterský navazující",2,"O studium v navazujícím magisterském studijním programu se uchází student, který má ukončené bakalářské (magisterské) studium.","Absolvent během navazujícího dvouletého studia rozšiřuje teoretické znalosti z ekonomie, managementu, kvantitativních metod a vybraných oblastí informatiky (technologie moderních informačních systémů, počítačem podporované projektování, rozhodovací a expertní systémy) Absolvent by měl být schopen řešit složitější rozhodovací úlohy, zpracovat návrh a analýzu (resp. správu) informačních systémů, případně vést pracovní kolektiv, který tyto úkoly řeší. Je připravován pro pozice ve středním a vyšším managementu. Absolvent tohoto oboru se uplatní v řídící funkci na různých úrovních, při analýze, provozu, inovacích a projektování systémů řízení, při poskytování kvalifikovaných konzultací z oblasti nasazování a využívání informačních technologií.","Písemný test z ekonomie, managementu, matematiky a informatiky. Uchazeči, kteří absolvovali bakalářský studijní program Systémové inženýrství a informatika, obor Informační management na FIM UHK a úspěšně složili státní závěrečnou zkoušku nejpozději v šestém semestru do termínu konání přijímacích zkoušek, mohou být přijati bez přijímací zkoušky. Z uchazečů absolventů FIM, kteří splňují výše uvedené požadavky, bude sestaveno pořadí nejlepších podle dosaženého studijního průměru za celé studium (bez započtení známek ze státní závěrečné zkoušky, vypočteného v souladu s čl. 16 Studijního a zkušebního řádu UHK). Na základě tohoto pořadí bude přijata ke studiu polovina předpokládaného počtu studentů pro daný akademický rok. Druhá polovina počtu míst bude obsazena na základě pořadí nejlepších sestaveného dle bodového ohodnocení písemné přijímací zkoušky, která se skládá z písemného testu z ekonomie (max. počet bodů 30), z písemného testu z managementu (max. počet bodů 30) a písemného testu z matematiky a informatiky (max. počet bodů 60). Pokud se student umístí v obou uvedených pořadích, bude přijat z pořadí, v němž dosáhl lepšího umístění. Pokud nebude předchozím postupem kapacita oboru naplněna, budou volná místa doplněna z pořadí s volnou kapacitou uchazečů."));

        DegreeProgramGroup masterDegree = new DegreeProgramGroup("Magisterský", masterPrograms);

        ArrayList<DegreeProgram> doctorPrograms = new ArrayList<>();

        doctorPrograms.add(new DegreeProgram(0,"Aplikovaná informatika", "ai-p","prezenční","doktorské",4,"O studium v doktorském studijním programu se uchází absolvent magisterského studijního programu informatického zaměření, případně i jiného příbuzného studijního programu.","Absolventem čtyřletého doktorského studia je vysoce kvalifikovaný odborník, schopný zkoumat, navrhovat, realizovat, profesionálně rozvíjet a zejména aplikovat moderní informační, komunikační a znalostní technologie v různých průmyslových a dalších oblastech.","Přijímací zkouška probíhá formou ústního pohovoru, při kterém se prověřují vědomosti z informatiky a z anglického jazyka. V oblasti informatiky se předpokládá schopnost návrhu jednoduchých databázových aplikací, znalost CASE prostředků, znalost principů programování, znalost základních nástrojů na podporu rozhodování, obecná znalost moderních informačních a komunikačních technologií, znalost systémových přístupů a analýzy. V oblasti jazykových znalostí se předpokládá aktivní znalost anglického jazyka."));
        doctorPrograms.add(new DegreeProgram(1,"Aplikovaná informatika", "ai-k","kombinovaná","doktorské",4,"O studium v doktorském studijním programu se uchází absolvent magisterského studijního programu informatického zaměření, případně i jiného příbuzného studijního programu.","Absolventem čtyřletého doktorského studia je vysoce kvalifikovaný odborník, schopný zkoumat, navrhovat, realizovat, profesionálně rozvíjet a zejména aplikovat moderní informační, komunikační a znalostní technologie v různých průmyslových a dalších oblastech.","Přijímací zkouška probíhá formou ústního pohovoru, při kterém se prověřují vědomosti z informatiky a z anglického jazyka. V oblasti informatiky se předpokládá schopnost návrhu jednoduchých databázových aplikací, znalost CASE prostředků, znalost principů programování, znalost základních nástrojů na podporu rozhodování, obecná znalost moderních informačních a komunikačních technologií, znalost systémových přístupů a analýzy. V oblasti jazykových znalostí se předpokládá aktivní znalost anglického jazyka."));
        doctorPrograms.add(new DegreeProgram(2,"Informační a znalostní management", "izm-p","prezenční","doktorské",4,"O studium v doktorském studijním programu se uchází absolvent magisterského studijního programu ekonomického nebo informatického zaměření, případně i jiného příbuzného studijního programu.","Absolventem čtyřletého doktorského studia je vysoce kvalifikovaný odborník, jenž může najít uplatnění např. jako znalostní manažer, zavádějící v organizacích a podnicích technologie a metody znalostního managementu, bude schopen kvalifikovaně analyzovat potřeby organizace v uvedeném směru, jakož i navrhovat a řídit tvorbu systémů, zachytávajících a cíleně pro potřeby firmy využívajících globální a specializované firemní znalosti.","Přijímací zkouška probíhá formou ústního pohovoru a skládá se ze dvou hlavních částí - prověření vědomostí z informatiky a z anglického jazyka. V oblasti informatiky se předpokládá schopnost návrhu jednoduchých databázových aplikací, znalost CASE prostředků, znalost principů programování, znalost základních nástrojů na podporu rozhodování, obecná znalost moderních informačních a komunikačních technologií, znalost systémových přístupů a analýzy. V oblasti jazykových znalostí se předpokládá aktivní znalost anglického jazyka."));
        doctorPrograms.add(new DegreeProgram(3,"Informační a znalostní management", "izm-k","kombinovaná","doktorské",4,"O studium v doktorském studijním programu se uchází absolvent magisterského studijního programu ekonomického nebo informatického zaměření, případně i jiného příbuzného studijního programu.","Absolventem čtyřletého doktorského studia je vysoce kvalifikovaný odborník, jenž může najít uplatnění např. jako znalostní manažer, zavádějící v organizacích a podnicích technologie a metody znalostního managementu, bude schopen kvalifikovaně analyzovat potřeby organizace v uvedeném směru, jakož i navrhovat a řídit tvorbu systémů, zachytávajících a cíleně pro potřeby firmy využívajících globální a specializované firemní znalosti.","Přijímací zkouška probíhá formou ústního pohovoru a skládá se ze dvou hlavních částí - prověření vědomostí z informatiky a z anglického jazyka. V oblasti informatiky se předpokládá schopnost návrhu jednoduchých databázových aplikací, znalost CASE prostředků, znalost principů programování, znalost základních nástrojů na podporu rozhodování, obecná znalost moderních informačních a komunikačních technologií, znalost systémových přístupů a analýzy. V oblasti jazykových znalostí se předpokládá aktivní znalost anglického jazyka."));

        DegreeProgramGroup doctorDegree = new DegreeProgramGroup("Doktorandský", doctorPrograms);

        groups.add(bachelorDegree);
        groups.add(masterDegree);
        groups.add(doctorDegree);

        return groups;

    }
}
